dbXML API

## org.dbxml.xml.sax
Class SAXEventGenerator

    java.lang.Object
      |
      +--org.dbxml.xml.sax.SAXEventGenerator

All Implemented Interfaces:
  org.xml.sax.XMLReader

public final class SAXEventGenerator
extends java.lang.Object
implements org.xml.sax.XMLReader

SAXEventGenerator

Constructor Summary
`SAXEventGenerator(org.w3c.dom.Document doc)`
`SAXEventGenerator(SymbolTable symbols, byte[] data)`
`SAXEventGenerator(SymbolTable symbols, byte[] data, int pos, int len)`

Method Summary
`org.xml.sax.ContentHandler` `getContentHandler()`
`org.xml.sax.DTDHandler` `getDTDHandler()`
`org.xml.sax.EntityResolver` `getEntityResolver()`
`org.xml.sax.ErrorHandler` `getErrorHandler()`
`boolean` `getFeature(java.lang.String name)`
`java.lang.Object` `getProperty(java.lang.String name)`
`void` `parse(org.xml.sax.InputSource input)`
`void` `parse(java.lang.String systemId)`
`boolean` `processContainer(boolean element, int pos, int len)`
`boolean` `processDocument()`
`void` `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` `setDTDHandler(org.xml.sax.DTDHandler handler)`
`void` `setEntityResolver(org.xml.sax.EntityResolver resolver)`
`void` `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` `setFeature(java.lang.String name, boolean value)`
`void` `setProperty(java.lang.String name, java.lang.Object value)`
`boolean` `start()`
`void` `stop()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXEventGenerator

    public SAXEventGenerator(SymbolTable symbols,
                             byte[] data)

### SAXEventGenerator

    public SAXEventGenerator(SymbolTable symbols,
                             byte[] data,
                             int pos,
                             int len)

### SAXEventGenerator

    public SAXEventGenerator(org.w3c.dom.Document doc)

Method Detail

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Specified by:
    `getFeature` in interface `org.xml.sax.XMLReader`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Specified by:
    `setFeature` in interface `org.xml.sax.XMLReader`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Specified by:
    `getProperty` in interface `org.xml.sax.XMLReader`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Specified by:
    `setProperty` in interface `org.xml.sax.XMLReader`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`

### parse

    public void parse(org.xml.sax.InputSource input)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`

### parse

    public void parse(java.lang.String systemId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`

### processContainer

    public boolean processContainer(boolean element,
                                    int pos,
                                    int len)
                             throws java.io.IOException,
                                    org.xml.sax.SAXException

### processDocument

    public boolean processDocument()
                            throws java.io.IOException,
                                   org.xml.sax.SAXException

### start

    public boolean start()

### stop

    public void stop()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved